Bug 520131 - When a flag is set to inactive in editflagtypes.cgi, the release flag should also be removed in editreleases.cgi UI
Summary: When a flag is set to inactive in editflagtypes.cgi, the release flag should ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Attachments/Requests
Version: 3.6
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 14:56 UTC by David Lawrence
Modified: 2013-06-24 02:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-19 05:25:27 UTC


Attachments (Terms of Use)

Description David Lawrence 2009-08-28 14:56:06 UTC
Description of problem:
Currently when a flag is set to inactive in the core Bugzilla code, if a release flag has been mapped to it, the mapping is still there. When an admin updates the release flags table using editreleases.cgi, it then sees the inactive flags and removes the mappings even if the user didn't know they were doing it. This causes confusion to the user.

editflagtypes.cgi should also remove the mapping in the release flags table as well but this is not trivial as the release flags code is an extension so a hook will need be created.

Comment 1 David Lawrence 2010-01-15 17:32:31 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.

Comment 2 David Lawrence 2010-08-25 21:40:40 UTC
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team

Comment 4 Jeff Fearn 🐞 2012-05-30 04:37:41 UTC
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.

Comment 5 Jeff Fearn 🐞 2012-07-19 05:25:27 UTC
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.


Note You need to log in before you can comment on or make changes to this bug.